=== debian/changelog ===
ros-indigo-rqt-gauges (1.0.7-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- AndyZ <andyz@utexas.edu>  Mon, 05 Dec 2016 01:05:46 -0000
