=== debian/control ===
Source: ros-indigo-rqt-gauges
Section: misc
Priority: extra
Maintainer: AndyZ <andyz@utexas.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-roslint, ros-indigo-rqt-gui, ros-indigo-rqt-gui-cpp, ros-indigo-std-msgs
Homepage: http://wiki.ros.org/gauges
Standards-Version: 3.9.2

Package: ros-indigo-rqt-gauges
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-pluginlib, ros-indigo-roscpp, ros-indigo-rqt-gui, ros-indigo-rqt-gui-cpp, ros-indigo-std-msgs
Description: The rqt_gauges package
